Announcement Announcement Module
Collapse
No announcement yet.
Cannot apply method security on Spring-data-jpa repositories Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Cannot apply method security on Spring-data-jpa repositories

    I have already posted about this on the security forum, but this issue seems to be restricted to the spring-data repositories.
    There seems to be no way to apply method security on Spring-data repositories (neither annotations nor pointcuts will work) unless all methods inherited from the spring-data-jpa interfaces are overridden and secured in the subinterface.
    More details and a test project demonstrating the issue can be found at http://forum.springsource.org/showth...a-repositories
    Last edited by rigas.grigoropoulos; Dec 7th, 2012, 09:27 AM.
Working...
X